Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class ClassHelper

    java.lang.Object
      com.beasys.commerce.util.ClassHelper

Deprecated

    @Deprecated
    public class ClassHelper

extends Object

Helper methods for the Class class

Constructor Summary
`ClassHelper()` Deprecated

Method Summary
`static String` | `className(Class clazz)` Deprecated
`static String` | `dequalifyName(String clazz)` Deprecated
`static String` | `parentName(String fullyQualifiedName)` Deprecated
`static String` | `relationIdentifier(String containingClass, String attributeIdentifier, String containedClass)` Deprecated Concoct a "relation identifier" based on containing class, attribute on containing class, and contained class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassHelper

    public ClassHelper()

  Deprecated

Method Detail

### className

    public static String className(Class clazz)

  Deprecated

### dequalifyName

    public static String dequalifyName(String clazz)

  Deprecated

### parentName

    public static String parentName(String fullyQualifiedName)

  Deprecated

### relationIdentifier

    public static String relationIdentifier(String containingClass,
                                            String attributeIdentifier,
                                            String containedClass)

  Deprecated
  Concoct a "relation identifier" based on containing class, attribute on containing class, and contained class.

  Parameters
    `containingClass` - the fully qualified class name of the containing class
    `attributeIdentifier` - unqualified attribute identifier
    `containedClass` - unqualified name of contained class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.